import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimStatusSchema } from '../enums/ClaimStatus.schema';
import { NestedEnumClaimStatusFilterObjectSchema as NestedEnumClaimStatusFilterObjectSchema } from './NestedEnumClaimStatusFilter.schema'

const makeSchema = () => z.object({
  equals: ClaimStatusSchema.optional(),
  in: ClaimStatusSchema.array().optional(),
  notIn: ClaimStatusSchema.array().optional(),
  not: z.union([ClaimStatusSchema, z.lazy(() => NestedEnumClaimStatusFilterObjectSchema)]).optional()
}).strict();
export const EnumClaimStatusFilterObjectSchema: z.ZodType<Prisma.EnumClaimStatusFilter> = makeSchema() as unknown as z.ZodType<Prisma.EnumClaimStatusFilter>;
export const EnumClaimStatusFilterObjectZodSchema = makeSchema();
